#include <bits/stdc++.h>
using namespace std;
int n,niz[200007],q,a,b;
long long m[200007];
int main(){
	scanf("%d",&n);
	for(int i=1;i<=n;i++)scanf("%d",&niz[i]);
	for(int i=1;i<=n;i++){
			if(niz[i]>niz[i+1])m[i]++;
	}
	for(int i=2;i<=n;i++){
			m[i]+=m[i-1];
	}
	scanf("%d",&q);
	while(q--){
		scanf("%d %d",&a,&b);
		if(m[b-1]-m[a-1]>=2)printf("NE\n");
		else printf("DA\n");
	}


	return 0;
}